---
title: Chimbori Individual Contributor License Agreement
---

# Chimbori Individual Contributor License Agreement

Thank you for your interest in contributing to open source software projects (“Projects”) made
available by Chimbori.

In order to clarify the intellectual property license granted with Contributions from any person or
entity, Chimbori must have a Contributor License Agreement ("CLA") on file that has been signed by
each Contributor, indicating agreement to the license terms below. This license is for your
protection as a Contributor as well as the protection of Chimbori; it does not change your rights to
use your own Contributions for any other purpose. This CLA sets out the terms governing any source
code, object code, bug fixes, configuration changes, tools, specifications, documentation, data,
materials, feedback, information or other works of authorship that you submit or have submitted, in
any form and in any manner, to Chimbori in respect of any of the Projects (collectively
“Contributions”).

If you have any questions respecting this Agreement, please contact hello@chimbori.com.

## Definitions.

"You" (or "Your") shall mean the copyright owner or legal entity authorized by the copyright owner
that is making this Agreement with Chimbori. For legal entities, the entity making a Contribution
and all other entities that control, are controlled by, or are under common control with that entity
are considered to be a single Contributor. For the purposes of this definition, "control" means (i)
the power, direct or indirect, to cause the direction or management of such entity, whether by
contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares,
or (iii) beneficial ownership of such entity.

"Contribution" shall mean any original work of authorship, including any modifications or additions
to an existing work, that is intentionally submitted by You to Chimbori for inclusion in, or
documentation of, any of the products owned or managed by Chimbori (the "Projects"). For the
purposes of this definition, "submitted" means any form of electronic, verbal, or written
communication sent to Chimbori or its representatives, including but not limited to communication on
electronic mailing lists, source code control systems, and issue tracking systems that are managed
by, or on behalf of, Chimbori for the purpose of discussing and improving the Projects, but
excluding communication that is conspicuously marked or otherwise designated in writing by You as
"Not a Contribution."

You accept and agree to the following terms and conditions for Your present and future Contributions
submitted to Chimbori. Except for the license granted herein to Chimbori and recipients of software
distributed by Chimbori, You reserve all right, title, and interest in and to Your Contributions.

## Copyright License.

You hereby grant, and agree to grant, to Chimbori a non-exclusive, perpetual, irrevocable,
worldwide, fully-paid, royalty-free, transferable copyright license to reproduce, prepare derivative
works of, publicly display, publicly perform, and distribute your Contributions and such derivative
works, with the right to sublicense the foregoing rights through multiple tiers of sublicensees.

## Patent License.

You hereby grant, and agree to grant, to Chimbori, and to recipients of software distributed by
Chimbori, a non-exclusive, perpetual, irrevocable, no-charge, worldwide, fully-paid, royalty-free,
transferable patent license to make, have made, use, offer to sell, sell, import, and otherwise
transfer your Contributions, where such license applies only to those patent claims licensable by
you that are necessarily infringed by your Contributions alone or by combination of your
Contributions with the Project to which such Contributions were submitted, with the right to
sublicense the foregoing rights through multiple tiers of sublicensees. If any entity institutes
patent litigation against You or any other entity (including a cross-claim or counterclaim in a
lawsuit) alleging that your Contribution, or the Projects to which you have contributed, constitutes
direct or contributory patent infringement, then any patent licenses granted to that entity under
this Agreement for that Contribution or Project shall terminate as of the date such litigation is
filed.

## Moral Rights.

To the fullest extent permitted under applicable law, you hereby waive, and agree not to assert, all
of your “moral rights” in or relating to your Contributions for the benefit of Chimbori, its
assigns, and their respective direct and indirect sublicensees.

## Third Party Content/Rights.

If your Contribution includes or is based on any source code, object code, bug fixes, configuration
changes, tools, specifications, documentation, data, materials, feedback, information or other works
of authorship that were not authored by you (“Third Party Content”) or if you are aware of any third
party intellectual property or proprietary rights associated with your Contribution (“Third Party
Rights”), then you agree to include with the submission of your Contribution full details respecting
such Third Party Content and Third Party Rights, including, without limitation, identification of
which aspects of your Contribution contain Third Party Content or are associated with Third Party
Rights, the owner/author of the Third Party Content and Third Party Rights, where you obtained the
Third Party Content, and any applicable third party license terms or restrictions respecting the
Third Party Content and Third Party Rights. For greater certainty, the foregoing obligations
respecting the identification of Third Party Content and Third Party Rights do not apply to any
portion of a Project that is incorporated into your Contribution to that same Project.

## Representations.

You represent that, other than the Third Party Content and Third Party Rights identified by you in
accordance with this Agreement, you are the sole author of your Contributions and are legally
entitled to grant the foregoing licenses and waivers in respect of your Contributions. If your
Contributions were created in the course of your employment with your past or present employer(s),
you represent that such employer(s) has authorized you to make your Contributions on behalf of such
employer(s) or such employer(s) has waived all of their right, title or interest in or to your
Contributions.

## Disclaimer.

To the fullest extent permitted under applicable law, your Contributions are provided on an "as is"
basis, without any warranties or conditions, express or implied, including, without limitation, any
implied warranties or conditions of non-infringement, merchantability or fitness for a particular
purpose. You are not required to provide support for your Contributions, except to the extent you
desire to provide support.

## No Obligation.

You acknowledge that Chimbori is under no obligation to use or incorporate your Contributions into
any of the Projects. The decision to use or incorporate your Contributions into any of the Projects
will be made at the sole discretion of Chimbori or its authorized delegates.

## Disputes.

This Agreement shall be governed by and construed in accordance with the laws of the State of
California, United States of America, without giving effect to its principles or rules regarding
conflicts of laws, other than such principles directing application of California law. The parties
hereby submit to venue in, and jurisdiction of the courts located in San Mateo County, California
for purposes relating to this Agreement. In the event that any of the provisions of this Agreement
shall be held by a court or other tribunal of competent jurisdiction to be unenforceable, the
remaining portions hereof shall remain in full force and effect.

## Assignment.

You agree that Chimbori may assign this Agreement, and all of its rights, obligations and licenses
hereunder.

You agree to notify Chimbori of any facts or circumstances of which you become aware that would make
these representations inaccurate in any respect.
